Description: debianization: no external
 Meant to use systemwise material instead of the embedded external
 material --- which is actually not present in the Debian Source.
 This is a Debian centric patch.
Origin: vendor, Debian
Forwarded: not-needed
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2022-02-20

--- a/libeantic/test/Makefile.am
+++ b/libeantic/test/Makefile.am
@@ -67,7 +67,6 @@
     fmpq_generator.hpp                              \
     fmpz_generator.hpp                              \
     renf_elem_generator.hpp                         \
-    external/catch2/single_include/catch2/catch.hpp \
     renf_class_generator.hpp                        \
     renf_elem_class_generator.hpp
 
--- a/libeantic/test/main.cpp
+++ b/libeantic/test/main.cpp
@@ -1,7 +1,7 @@
 #include <flint/flint.h>
 
 #define CATCH_CONFIG_RUNNER
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 int main( int argc, char* argv[] ) {
   int result = Catch::Session().run( argc, argv );
--- a/libeantic/test/fmpq_generator.hpp
+++ b/libeantic/test/fmpq_generator.hpp
@@ -14,7 +14,7 @@
 
 #include <flint/fmpq.h>
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/fmpz_generator.hpp
+++ b/libeantic/test/fmpz_generator.hpp
@@ -14,7 +14,7 @@
 
 #include <flint/fmpz.h>
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/rand_generator.hpp
+++ b/libeantic/test/rand_generator.hpp
@@ -14,7 +14,7 @@
 
 #include <flint/flint.h>
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/renf_class_generator.hpp
+++ b/libeantic/test/renf_class_generator.hpp
@@ -18,7 +18,7 @@
 
 #include "renf_generator.hpp"
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/renf_elem_class_generator.hpp
+++ b/libeantic/test/renf_elem_class_generator.hpp
@@ -20,7 +20,7 @@
 
 #include "renf_elem_generator.hpp"
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/renf_elem_generator.hpp
+++ b/libeantic/test/renf_elem_generator.hpp
@@ -16,7 +16,7 @@
 
 #include "renf_generator.hpp"
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/renf_generator.hpp
+++ b/libeantic/test/renf_generator.hpp
@@ -16,7 +16,7 @@
 
 #include "../e-antic/renf.h"
 
-#include "external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 namespace {
 
--- a/libeantic/test/renfxx/t-assignment.cpp
+++ b/libeantic/test/renfxx/t-assignment.cpp
@@ -12,7 +12,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 #include "../rand_generator.hpp"
 #include "../renf_class_generator.hpp"
--- a/libeantic/test/renfxx/t-binop.cpp
+++ b/libeantic/test/renfxx/t-binop.cpp
@@ -16,7 +16,7 @@
 #include "../renf_class_generator.hpp"
 #include "../renf_elem_class_generator.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 using namespace eantic;
 
--- a/libeantic/test/renfxx/t-cmp.cpp
+++ b/libeantic/test/renfxx/t-cmp.cpp
@@ -16,7 +16,7 @@
 #include "../renf_class_generator.hpp"
 #include "../renf_elem_class_generator.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 using namespace eantic;
 
--- a/libeantic/test/renfxx/t-constructor.cpp
+++ b/libeantic/test/renfxx/t-constructor.cpp
@@ -15,7 +15,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 #include "../rand_generator.hpp"
 #include "../renf_class_generator.hpp"
--- a/libeantic/test/renfxx/t-get_num_den.cpp
+++ b/libeantic/test/renfxx/t-get_num_den.cpp
@@ -14,7 +14,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 using namespace eantic;
 
--- a/libeantic/test/renfxx/t-hash.cpp
+++ b/libeantic/test/renfxx/t-hash.cpp
@@ -13,7 +13,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 using namespace eantic;
 
--- a/libeantic/test/renfxx/t-predicates.cpp
+++ b/libeantic/test/renfxx/t-predicates.cpp
@@ -12,7 +12,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 #include "../rand_generator.hpp"
 #include "../renf_class_generator.hpp"
--- a/libeantic/test/renfxx/t-stream.cpp
+++ b/libeantic/test/renfxx/t-stream.cpp
@@ -12,7 +12,7 @@
 
 #include "../../e-antic/e-antic.hpp"
 
-#include "../external/catch2/single_include/catch2/catch.hpp"
+#include <catch2/catch.hpp>
 
 #include <string>
 #include <regex>
